:root {
    --red: #a90000;
    --white: #ffffff;
    --gray: #58585a;
    --gray2: #929292;
    --gray3: #f7f7f7;
}

* {
    -webkit-box-sizing: border-box;
    /* Safari/Chrome, other WebKit */
    -moz-box-sizing: border-box;
    /* Firefox, other Gecko */
    box-sizing: border-box;
    /* Opera/IE 8+ */
}

body {
    margin: 0;
    font-size: 14px;
}

html {
    font-family: 'Kanit', sans-serif;
    color: var(--gray);
}

.row {
    display: flex;
    flex-wrap: wrap;
}

.container {
    max-width: 1200px;
    margin: auto;
}

.col-1 {
    flex: 0 0 auto;
    width: 8.33333333%;
}

.col-2 {
    flex: 0 0 auto;
    width: 16.66666667%;
}

.col-3 {
    flex: 0 0 auto;
    width: 25%;
}

.col-4 {
    flex: 0 0 auto;
    width: 33.33333%;
}

.col-5 {
    flex: 0 0 auto;
    width: 41.66666667%;
}

.col-6 {
    flex: 0 0 auto;
    width: 50%;
}

.col-7 {
    flex: 0 0 auto;
    width: 58.33333333%;
}

.col-8 {
    flex: 0 0 auto;
    width: 66.66666667%;
}

.col-9 {
    flex: 0 0 auto;
    width: 75%;
}

.col-10 {
    flex: 0 0 auto;
    width: 83.33333333%;
}

.col-12 {
    flex: 0 0 auto;
    width: 100%;
}

@media only screen and (max-width: 600px) {

    .col-1,
    .col-2,
    .col-3,
    .col-4,
    .col-5,
    .col-6,
    .col-7,
    .col-8,
    .col-9,
    .col-10,
    .col-11,
    .col-12 {
        width: 100%;
    }
}

.vm {
    align-items: center;
}

.col-r-mid-nav img {
    width: 25px;
}

.col-r-mid-nav {
    list-style: none;
    display: flex;
    justify-content: flex-end;
    align-items: end;
}

.col-r-mid-nav i {
    font-size: 1.5em;
    padding: 0.5em;
}

.col-r-mid-nav li {
    display: inline-block;
}

.row.topnav,
.row.midnav {
    padding: 0 3em;
    z-index: 111;
}

.row.topnav {
    background: var(--white);
    justify-content: center;
    align-items: center;
}

.top_icon_link img {
    width: 20px;
    margin-left: 1em;
    display: inline-block;
    margin-bottom: -4px;
}

.main-menu {
    list-style: none;
    display: flex;
    margin: 0;
    padding: 0;
    line-height: 3;
}

.main-menu li a {
    padding: 0 1em;
    color: #2c2c2c;
    text-decoration: none;
    font-size: 1em;
    position: relative;
    font-weight: 600;
    text-transform: uppercase;
}

a {
    text-decoration: none;
    color: var(--red);
}

ul.main-menu.second {
    justify-content: flex-end;
}

a.active:after {
    content: "";
    width: 65%;
    height: 2px;
    background: var(--red);
    display: inline-block;
    position: absolute;
    bottom: -8px;
    left: 50%;
    transform: translateX(-50%);
}

.main-menu li a.active {
    color: var(--red);
}

.logo {
    max-width: 150px;
    width: 100%;
    padding: 1em 0;
}

input#search-box,
#search-box-top {
    padding: 0.8em 1.5em;
    outline: none;
    font-family: 'Kanit';
    width: 70%;
    height: 16px;
    padding: 1.5em;
}

input#search-box-top {
    border: none !important;
}

.top-filter-btn {
    background: none;
    border: none;
    width: 30%;
    cursor: pointer;
    margin-left: -1px;
    font-family: 'Kanit';
    position: relative;
    border-left: solid 1px #cfcfcf;
}

.top-filter-btn:after {
    content: "\f10d";
    font-family: 'uicon';
    font-size: 1.2em;
    position: absolute;
    right: 5%;
    top: 27%;
}

ul#top-filter-list {
    position: absolute;
    top: 26px;
    right: 0;
    background: var(--white);
    max-height: 50vh;
    overflow: auto;
    padding: 2em;
    list-style: none;
    box-shadow: 0px 20px 40px 0 rgb(0 0 0 / 25%);
    color: var(--gray);
}

ul#top-filter-list li a {
    cursor: pointer;
    color: var(--gray);
}

.row.midnav {
    align-items: center;
    position: sticky;
    top: 0;
    background: var(--red);
    z-index: 999;
    color: var(--white);
}

.lang-menu:last-child:after {
    display: none;
}

li.cart-menu,
li.user-menu,
li.wishlist-menu {
    position: relative;
    cursor: pointer;
}

span.cart-item-count, .wishlist-item-count {
    position: absolute;
    top: -5px;
    right: 0;
    background: var(--white);
    width: 15px;
    height: 15px;
    color: var(--red);
    border-radius: 100%;
    text-align: center;
    font-size: 10px;
    font-weight: 600;
}

.cart-right {
    padding: 2rem 2rem 3rem 2rem;
    background: var(--gray3);
    position: sticky;
    top: 100px;
    align-items: flex-start;
}

h4.gr-total {
    display: flex;
}

span.gr-total-label {
    flex: 0 0 auto;
    width: 20%;
}

span.gr-total-value {
    flex: 0 0 auto;
    width: 80%;
    text-align: right;
}

.lang-menu:after {
    content: " ";
    width: 1px;
    height: 12px;
    background: #ccc;
    display: inline-block;
    margin-left: 15px;
}

li.lang-menu .active {
    font-weight: 600;
}

li.lang-menu {
    font-size: 16px;
    padding: 0 0 0 15px;
    line-height: 2em;
    cursor: pointer;
}

ul#top-filter-list::-webkit-scrollbar {
    width: 5px;
}

ul#top-filter-list::-webkit-scrollbar-thumb {
    background: #888;
}

ul#top-filter-list li {
    line-height: 2em;
}

.log-reg-menu {
    list-style: none;
    display: flex;
    width: 50%;
    justify-content: flex-start;
    margin: 5px 0;
    padding: 0;
}

ul.log-reg-menu a {
    padding: 0 1em;
    color: var(--gray);
    text-decoration: none;
    font-size: 14px;
}

ul.col-r-mid-nav img {
    padding: 0 1em;
}

.col-4.tri {
    display: flex;
    align-items: center;
}

.col-6.sec {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    background-color: var(--white);
}

.row.about.ar-c {
    justify-content: center;
    padding: 3em 0;
}

.row.about.ar-c h2 {
    width: 100%;
    text-align: center;
}

.row.about.ar-c .row {
    max-width: 750px;
    text-align: center;
}

.row.solution a {
    height: 50vh;
    display: flex;
    background-size: cover;
    background-repeat: no-repeat;
    position: relative;
}

.solution-inner {
    margin-top: auto;
    padding: 2em 3em;
    max-width: 50%;
}

.solution-inner h2,
.solution-inner p {
    color: #fff;
}

.row.solution img {
    width: 50px;
    position: absolute;
    bottom: 10%;
    right: 5%;
}

.row.footer {
    align-items: center;
    padding: 1em 3em;
}

p.copy-r {
    font-size: 0.8em;
}

.ar-r {
    text-align: right;
}

.page-title h1 {
    width: 100%;
    text-align: center;
}

.page-title a {
    color: #fff;
}

.page-title {
    background-image: linear-gradient(rgb(0 0 0 / 0%), rgb(0 0 0 / 50%)), url(/assets/images/pagetitle.jpg);
    padding: 4em 0;
    color: #fff;
    justify-content: center;
}

.page-content {
    padding: 3em 0;
}

.inner {
    padding: 0 2em;
}

.end-page {
    padding: 3em;
}

.btn {
    background: var(--red);
    color: #fff !important;
    text-decoration: none;
    padding: 0.7em 2em;
    border: solid 1px var(--red);
    font-family: 'Kanit';
    cursor: pointer;
}

.border-btn {
    background: none;
    color: var(--red) !important;
    border: solid 1px;
}

.small-btn {
    margin: 0.5em 0;
    padding: 0.5em 2em;
}

.arr {
    text-align: right;
}

table {
    font-family: 'Kanit' !important;
}

#loading {
    display: block;
    position: absolute;
    top: 45%;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: transparent;
    background-image: url(/assets/images/Rolling-1s-200px.gif);
    background-repeat: no-repeat;
    background-position: 50% 25%;
    background-size: 50px;
}

.foot-contact-box img {
    max-width: 100%;
}

.foot-contact-box {
    margin-bottom: 1em;
    align-items: center;
    text-align: center;
}

.contact-icon {
    flex: 0 0 auto;
    width: 11%;
}

.foot-contact-box .svg.warp {
    width: 30px;
    height: 30px;
    padding: 0.3em;
    align-items: center;
    display: flex;
    justify-content: center;
}

.foot-contact-box .svg.warp img {
    width: 20px;
    height: 20px;
    vertical-align: middle;
}

.footer-top ul a {
    color: var(--white);
}

.footer-top,
.footer {}

.footer-top ul {
    padding: 0 0 0 1.2em;
}

.footer-top {
    border-bottom: solid 1px #e9e9e9;
    border-top: solid 1px #e9e9e9;
    text-align: center;
    padding: 11em 3em 6em;
    margin-top: -9em;
    background: var(--red);
    color: #fff;
}

.footer-top ul li {
    line-height: 2;
}

.footer-top h4 {
    font-size: 1.2em;
}

.footer-top .svg.warp {
    background: none;
}

.foot-contact-box i {
    margin-right: 1em;
    line-height: 1em;
    vertical-align: middle;
}

.chat-popup .foot-contact-box {
    display: flex;
}

a.social-btn img {
    width: 19px;
    margin-right: 10px;
}

a.social-btn {
    display: flex;
    margin-bottom: 1em;
    border-radius: 99px;
    padding: 0.5em 1em;
    color: var(--white);
    justify-content: center;
}

.line {
    background: #00c300;
}

.facebook {
    background: #3b5998;
}

.yt {
    background: #cd201f;
}

.footer-icon {
    padding: 1em 3em;
    max-width: 1200px;
    margin: auto;
    z-index: 2;
    position: relative;
    color: #fff;
    border-bottom: solid 1px rgb(255 255 255 / 35%);
}

.footer-icon .svg.warp {
    background: none;
    box-shadow: none;
}

.icon-text h3 {
    margin: 0.2em 0;
}

.icon-box {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

button.open-button {
    background: var(--red);
    border: none;
    outline: none;
    border-radius: 100%;
    cursor: pointer;
    width: 60px;
    height: 60px;
    position: fixed;
    bottom: 18pt;
    right: 70pt;
    box-shadow: rgb(0 0 0 / 30%) 0 4px 12px;
    padding: 0.7em;
    z-index: 2147483644;
}

.chat-popup {
    width: 230px;
    height: 211px;
    box-shadow: 0 0 40px 0 rgb(0 0 0 / 14%);
    border-radius: 25px;
    position: fixed;
    bottom: 105px;
    right: 5.4%;
    padding: 2em 2em 1em;
    background: var(--white) !important;
}

.chat-popup:after {
    content: "";
    width: 25px;
    height: 25px;
    display: block;
    background: white;
    position: absolute;
    right: 21px;
    bottom: -5px;
    transform: rotate(45deg);
}

button.btn.cancel {
    position: absolute;
    right: -12%;
    top: -3%;
    background: none;
    border: none;
    outline: none;
    color: var(--gray) !important;
    font-size: 23px;
}

.chat-popup .contact-content {
    color: var(--gray);
}

.chat-popup .contact-icon {
    width: 54px;
}

.contact-icon.f2 img {
    filter: none;
}

.banner {
    justify-content: center;
}

.mySlides {
    display: none
}


/* Slideshow container */

.slideshow-container {
    max-width: 100%;
    position: relative;
    margin: auto;
}

.prev,
.next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    padding: 30px 10px;
    color: #ffffff;
    font-weight: bold;
    font-size: 18px;
    transition: 0.6s ease;
    border-radius: 0 3px 3px 0;
    user-select: none;
    background: rgb(0 0 0 / 5%);
    transform: translateY(-50%);
}


/* Position the "next button" to the right */

.next {
    right: 0;
    border-radius: 3px 0 0 3px;
}


/* Caption text */

.text {
    color: #f2f2f2;
    font-size: 15px;
    padding: 8px 12px;
    position: absolute;
    bottom: 8px;
    width: 100%;
    text-align: center;
}

.x-dot {
    cursor: pointer;
    height: 5px;
    width: 35px;
    margin: 0 2px;
    background-color: rgb(255 255 255 / 50%);
    border-radius: 0;
    display: inline-block;
    transition: background-color 0.6s ease;
}

.x-active,
.x-dot:hover {
    background-color: #ffffff;
}


/* Fading animation */

.fade {
    -webkit-animation-name: fade;
    -webkit-animation-duration: 1.5s;
    animation-name: fade;
    animation-duration: 1.5s;
}

@-webkit-keyframes fade {
    from {
        opacity: .4
    }

    to {
        opacity: 1
    }
}

@keyframes fade {
    from {
        opacity: .4
    }

    to {
        opacity: 1
    }
}


/* On smaller screens, decrease text size */

@media only screen and (max-width: 300px) {

    .prev,
    .next,
    .text {
        font-size: 11px
    }
}

.pd {
    padding: 3em;
}

.ac {
    text-align: center;
    justify-content: center;
}

.icon-box {
    display: flex;
    flex-wrap: wrap;
}

.icon-svg,
.icon-text {
    flex: 0 0 auto;
}

.icon-svg {
    width: 25%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.svg.warp {
    background: var(--red);
    border-radius: 100%;
    padding: 0.8em;
    width: 55px;
    text-align: center;
    box-shadow: 0 .25rem .375rem -.0625rem hsla(0, 0%, 8%, .12), 0 .125rem .25rem -.0625rem hsla(0, 0%, 8%, .07);
}

.svg.warp img {
    width: 50px;
    max-width: 100%;
    filter: invert(95%) sepia(84%) saturate(0%) hue-rotate(157deg) brightness(109%) contrast(101%);
}

.icon-text {
    flex: 0 0 auto;
    width: 71%;
    padding: 0 2%;
}

.icon-text h4 {
    margin: 0.2em 0;
    font-weight: 600;
}

.logo-list {
    display: flex;
    flex-wrap: wrap;
    list-style: none;
    gap: 1rem;
    margin: 0;
    padding: 0;
}

.logo-list li {
    flex: 1 0 auto;
    width: calc(8.4% - 1rem);
    border: solid 1px #ececec;
    padding: 0.5em;
}

.logo-list li img {
    max-width: 100%;
    vertical-align: middle;
}

.products-list {
    display: flex;
    flex-wrap: wrap;
    list-style: none;
    margin: 0;
    padding: 0;
}

.products-list li {
    flex: 0 0 auto;
    width: 16.66666667%;
    min-width: 210px;
}

.products-list .inner {
    padding: 1.5rem;
    margin: 1rem;
    background: #fff;
}

.products-list img {
    width: 100%;
    height: auto;
}

.products-list h4 {
    margin: 0.2em 0 0.5em;
}

.minus-btn,
.plus-btn {
    background: transparent;
    border: none;
    line-height: 27px;
    width: 30px;
    cursor: pointer;
}

input.qty {
    width: 72%;
    line-height: 25px;
    text-align: center;
    background: #fff;
    border: none;
    border-bottom: solid 1px #ccc;
    outline: none;
    margin-bottom: 10px;
}

.minus-btn {
    margin-right: -5px;
    border-radius: 20px 0px 0px 20px;
}

.plus-btn {
    margin-left: -5px;
    border-radius: 0px 20px 20px 0px;
}

button.btn.addtocart {
    width: 100%;
}

p.title-desc {
    max-width: 750px;
    margin: 0 auto 1em;
    text-align: center;
}

.contact-icon.f2 img {
    filter: none;
}

.product-image {
    width: 100%;
}

.mini-cart-warp {
    position: fixed;
    width: 100%;
    top: 0;
    height: 100vh;
    background: rgb(0 0 0 / 70%);
    backdrop-filter: blur(1px);
    z-index: 9999;
}

.mini-cart {
    width: 350px;
    position: fixed;
    right: 0;
    background: #fff;
    height: 100vh;
    padding: 1em 2em;
    animation-name: scrollleft;
    animation-duration: 0.4s;
}

.flat-btn {
    background: none;
    border: none;
    cursor: pointer;
}

.hide-minicart {
    display: none;
}

img.cart-image {
    width: 100%;
    height: auto;
}

.mini-cart p {
    line-height: 0;
    margin: 0;
}

button.remove-cart {
    position: absolute;
    right: 2.5em;
    margin-top: 10px;
}

.btn-100 {
    width: 100%;
}

.minicart-bottom {
    position: fixed;
    bottom: 25px;
    width: 300px;
    border-top: solid 1px #ececec;
    padding-top: 1em;
    background: #fff;
}

.minicart-bottom a.btn {
    margin-top: 15px;
    text-align: center;
}

.btn-wh {
    background: var(--gray2);
}

.minicart-bottom h4 {
    font-weight: 600;
    font-size: 1.3em;
    margin: 0;
}

.cart-list-item {
    max-height: 74vh;
    overflow: auto;
}

.cart-single-item {
    border-bottom: solid 1px #ececec;
    margin-bottom: 12px;
    padding-bottom: 5px;
}

.cart-list-item::-webkit-scrollbar {
    width: 5px;
}

.cart-list-item::-webkit-scrollbar-thumb {
    background: #888;
}

.row.topnav.stick {
    position: sticky;
    top: 88px;
    animation-name: scrollin;
    animation-duration: 0.4s;
    box-shadow: 0px 20px 90px 0 rgb(0 0 0 / 15%);
}

.input-icon {
    background: var(--white);
    color: var(--red);
    padding: 0 1em;
}

.input-icon i {
    line-height: 0;
    display: inline-block;
    margin-top: 7px;
}

div#search-res {
    position: absolute;
    top: 40px;
    right: 0;
    background: var(--white);
    max-height: 50vh;
    overflow: auto;
    box-shadow: 0px 20px 40px 0 rgb(0 0 0 / 18%);
}

.row.live-search {
    width: 100%;
    padding: 0.5em 2em 0;
    align-items: center;
    border-bottom: solid 1px #e4e4e4;
}

.row.live-search .col-3 {
    width: 70px;
}

.row.live-search a {
    color: var(--gray);
}

.row.live-search h5 {
    margin: 0;
    font-weight: 600;
    font-size: 1em;
}

#search-res::-webkit-scrollbar {
    width: 5px;
}

#search-res::-webkit-scrollbar-thumb {
    background: #888;
}

span.wanning {
    font-size: 0.8em;
    color: var(--red);
}

.product-image {
    max-width: 100%;
    height: auto;
    border: solid 1px #e6e6e6;
    border-radius: 15px;
}

.pdtb {
    padding: 4em 0;
}

.table-row {
    border-bottom: solid 1px #e6e6e6;
    padding: 1em 0;
}

img.check-image {
    filter: invert(91%) sepia(85%) saturate(5792%) hue-rotate(1deg) brightness(115%) contrast(103%);
}

p.stock.out-stock {
    font-size: 2em;
    margin: 0 0 0 15px;
    line-height: 30px;
}

.inner.cart-col {
    background: #f5f5f5;
    padding: 2em;
    position: sticky;
    top: 95px;
    align-self: flex-start;
}

.cart-col table {
    width: 100%;
    text-align: left;
    border-collapse: collapse;
}

tr:last-child td.tab-qty:after {
    content: "+";
}

.cart-col table tr {
    border-bottom: solid 1px #dadada;
}

.cart-col table tr td,
.cart-col table tr th {
    padding: 0.5em 0;
}

.quantity.item {
    margin: 1em 0;
}

.quantity.item input.qty {
    width: calc(100% - 67px);
}

.inner-r {
    padding-right: 3em;
}

.sub-product-title {
    padding: 1em 0;
}

.row.pd-list {
    width: 100%;
    align-items: center;
    border-bottom: solid 1px #e6e6e6;
}

.row.pd-list a {
    color: var(--gray);
}

.pdt h3 {
    border-bottom: solid 1px #e6e6e6;
    width: 100%;
    padding: 0 0 1em 0;
}

.products-list a {
    color: var(--gray);
}

.row.live-search-warp {
    color: var(--gray);
}

span.no-res {
    padding: 0.5em 3.3em;
}

.image-label {
    display: block;
    margin: auto;
    max-width: 200px;
}

i.fi.fi-rr-arrow-right {
    vertical-align: -0.1em;
}

a.to-archive i {
    margin-left: 10px;
}

a.to-archive {
    display: block;
    text-align: center;
}

.table-product-name {
    max-width: 400px;
}

.table-product-name a {
    color: var(--gray);
}

.quantity.itm {
    display: flex;
    justify-content: center;
}

.full-cart-total h4 {
    font-size: 1.5em;
}

.coupon-input {
    border: solid 1px var(--gray3);
    font-family: kanit;
    padding: 0.5em 1em;
    height: 39px;
    border-right: none;
    outline: none;
    width: calc(100% - 140px);
}

.gr-total-element .col-6:last-child {
    text-align: right;
}

.gr-total-element {
    font-size: 1.1em;
    line-height: 3;
}

span.coupon-code {
    background: #ffbc00;
    color: #000;
    padding: 0em 1em;
    cursor: pointer;
}

span.remove-coupon {
    margin-left: 0.5em;
    display: inline-block;
}

.noti, .login-error {
    -webkit-animation: error 5s forwards;
    padding: 0.5em 1em;
    transition: all 0.5s;
    position: fixed;
    bottom: 0;
    left: 0;
    background: var(--red);
    color: #fff;
    z-index: 9999;
    width: 100%;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
}

.noti.error, .login-error {
    background: #ffbc00;
    color: #000;
}

.noti i {
    padding-right: 0.5em;
    line-height: 0.5em;
}

.row.footer-top li {
    list-style: none;
}

.form-group-login img,
.form-group-login i {
    width: 20px;
    position: absolute;
    top: 20%;
    left: 5%;
    color: var(--red);
}

.form-group-login {
    position: relative;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0 30px var(--gray3) inset !important;
}

input.form-control-login {
    padding: .8em 2em .8em 4em;
    border: none;
    border-bottom: solid 1px #ccc;
    border-radius: 15px 15px 0 0;
    background: var(--gray3);
    outline: none;
    margin-bottom: 15px;
    font-family: 'kanit';
    width: 100%;
}

input.btn.btn-primary {
    margin-top: 15px;
    width: 100%;
}

.g-recaptcha {
    max-width: 300px;
    overflow: hidden;
}

.login-error i {
    line-height: 0.5em;
    vertical-align: middle;
}

.login-error {
    text-align: center;
}

a#register-swap,
a#login-swap {
    cursor: pointer;
}

ul.user-menu li:last-child {
    border: none;
}

ul.user-menu li {
    border-bottom: solid 1px #eee;
    padding: 1em 0;
}

ul.user-menu a {
    color: var(--gray);
}

ul.user-menu {
    list-style: none;
    padding: 0;
}

div#search-res {
    width: 100%;
}

.cart-list-item strong {
    line-height: 1;
    display: block;
}

.skeleton-element-1 {
    display: block;
    line-height: 1;
    background: var(--gray3);
    height: 2.75em;
    max-width: 90%;
}

.skeleton-element-3 {
    display: block;
    line-height: 1;
    background: var(--gray3);
    height: 2.75em;
    width: 35%;
    margin-left: 70%;
}

.skeleton-element-2 {
    display: block;
    line-height: 1;
    background: var(--gray3);
    height: 2.75em;
    width: 65%;
    float: left;
}

li.skeleton-element-5 {
    background: var(--gray3);
    height: 60px;
}

li.skeleton-element-5:last-child {
    height: 86px;
}

@keyframes scrollleft {
    from {
        right: -300px;
    }

    to {
        right: 0px;
    }
}

@keyframes scrollin {
    from {
        top: 0px;
    }

    to {
        top: 88px;
    }
}

@keyframes error {
    0% {
        opacity: 1;
    }

    90% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.skeleton-element {
    height: var(--element-value);
    width: 100%;
    background: var(--gray3);
    min-width: 80px;
}

.skeleton-element-element-text {
    height: 1.5em;
    width: var(--element-value);
    margin: auto;
    background: var(--gray3);
    margin-top: 0.5em;
}

.minicart-bottom a.btn.btn-wh.btn-100 {
    background: none;
    color: var(--red) !important;
}

.open-button {
    display: flex;
    align-items: center;
    justify-content: center;
    animation: 3s ease-out 0s 1 normal none running slideInFromBottomDelay;
}

.open-button svg path {
    fill: var(--white);
}

.open-button svg {
    width: 100%;
    max-width: 85%;
}

.btn i {
    line-height: 0;
    vertical-align: -2px;
    margin-right: 0.5em;
}

#mobile-toggle, .mobile-menu, .col-r-mid-nav li.mobile-search {
    display: none;
}

.footer-icon svg path {
    fill: var(--white);
}

.footer-icon svg {
    width: 100%;
}

.to-top {
    background: var(--gray3);
    border: none;
    outline: none;
    border-radius: 100%;
    cursor: pointer;
    width: 60px;
    height: 60px;
    position: fixed;
    bottom: 18pt;
    right: 122pt;
    box-shadow: rgb(0 0 0 / 30%) 0 4px 12px;
    padding: 0.7em;
    z-index: 2147483644;
    animation: 0.5s ease-out 0s 1 normal none running slideInFromBottomDelay;
}

.related-price {
    text-align: center;
}

.mini-cart-warp {
    z-index: 99999999999999999;
}

.cookie-consent .btn {
    display: block;
    width: 100%;
    margin: 0.5em;
}

.cookie-consent .row {
    align-items: center;
}

.cookie-consent .col-inner {
    padding: 1em;
}

.cookie-consent {
    position: fixed;
    bottom: 18pt;
    background: var(--white);
    z-index: 2;
    box-shadow: 0px 20px 80px 0 rgb(0 0 0 / 10%);
    padding: 1em 2em;
    left: 50%;
    transform: translateX(-50%);
}

button.close-cookie.flat-btn {
    position: absolute;
    top: 1em;
    right: 1em;
}

.foot-contact-box .svg.warp i {
    color: #fff;
    margin: 0;
}
span.part-number {
    display: block;
    font-weight: 300;
    font-size: 0.9em;
}
.product-loading {
    position: fixed !important;
    z-index: 2;
    top: 50% !important;
    left: 50% !important;
    transform: translate(-50%, -50%);
    background-position: 50% !important;
}
@media only screen and (max-width: 1600px) {
    .row.vm.add-group .col-6 {
        width: 100%;
        margin-bottom: 10px;
    }

    input.qty {
        width: 63%;
    }

    .logo-list li {
        width: calc(7.3% - 1rem);
    }
}

@media only screen and (max-width: 1440px) {
    .logo-list li {
        width: calc(8.3% - 1rem);
    }
}

@media only screen and (max-width: 1280px) {
    .logo-list li {
        width: calc(8.3% - 1rem);
    }

    .main-menu li a {
        padding: 0 0.7em;
    }

    .products-list .inner {
        padding: 0.5rem;
        margin: 0.5rem;
    }
}

@media only screen and (max-width: 1024px) {
    .logo {
        max-width: 125px;
    }

    .row.topnav {
        justify-content: inherit;
        width: 100%;
    }

    .topnav .col-3.first {
        width: 50%;
    }

    #mobile-toggle {
        display: block;
        font-size: 1.8em;
        width: 50%;
        text-align: right;
    }

    #mobile-toggle i {
        line-height: 0;
        display: block;
        padding: 0.4em 0;
    }

    .topnav .col-6.sec, li.lang-menu, .topnav .col-3.tri.arr {
        display: none;
    }

    .top-filter-btn {
        min-width: 140px;
    }

    .row.topnav.stick {
        top: 78px;
    }

    .mobile-menu.show {
        position: fixed;
        width: 100%;
        top: 0;
        height: 100vh;
        background: rgb(0 0 0/70%);
        backdrop-filter: blur(1px);
        z-index: 9999;
        display: block;
    }

    .mobile-menu-warp {
        width: 350px;
        position: fixed;
        right: 0;
        background: #fff;
        height: 100vh;
        padding: 2em;
        animation-name: scrollleft;
        animation-duration: .4s;
        display: flex;
        flex-wrap: wrap;
    }

    .main-menu {
        display: block;
        width: 100%;
    }

    a.active:after {
        background: none;
    }

    button.close-mobile-menu.flat-btn {
        position: absolute;
        right: 1em;
        top: 1em;
    }

    .main-menu li:not(:last-child) {
        border-bottom: solid 1px #dfdfdf;
    }

    @keyframes scrollin {
        from {
            top: 0px;
        }

        to {
            top: 78px;
        }
    }

    .mobile-menu-btn-warp .btn {
        width: 100%;
    }

    .mobile-menu-btn-warp {
        margin-top: auto;
        margin-bottom: 5em;
        width: 100%;
    }

    .cookie-consent {
        position: sticky;
        bottom: 0;
        transform: none;
        z-index: 12544513265;
    }

    .footer-top .col-4 {
        width: 100%;
    }

    .footer-top .col-2 {
        width: 50%;
    }

    .cart-full-content .col-8 {
        width: 100%;
    }

    .cart-full-content .col-8, .cart-full-content .col-4 {
        width: 100%;
    }

    .cart-full-content .inner-r {
        padding-right: 0;
        padding-bottom: 2em;
    }

    .page-title h1 {
        font-size: 1.5em;
    }

    .page-title {
        background-position: center center;
        background-size: cover;
    }

    .billing-detail>.col-6 {
        width: 100%;
        padding: 2em;
    }
}

@media only screen and (max-width: 767px) {
    body {
        font-size: 12px;
    }

    .logo {
        max-width: 100px;
    }

    .midnav .col-6.sec {
        display: none;
    }

    .midnav .col-3.first, .midnav .col-3.tri {
        width: 50%;
    }

    .topnav .col-3.first {
        width: 75%;
    }

    #mobile-toggle {
        width: 25%;
    }

    .cart-list-item .col-10 {
        width: 85%;
    }

    .cart-list-item .col-2 {
        width: 15%;
    }

    button.close-mini-cart.flat-btn {
        position: absolute;
        top: 1em;
        right: 1em;
    }

    .minicart-bottom .col-8 {
        width: 80%;
    }

    .minicart-bottom .col-4 {
        width: 20%;
    }

    .footer-top {
        padding: 20em 3em 6em;
        margin-top: -16em;
    }

    .footer-top .col-2 {
        width: 50%;
    }

    p.copy-r {
        text-align: center;
    }

    .footer .col-5.ar-r img {
        margin: auto;
        display: block;
    }

    .footer-icon .col-3 {
        width: 50%;
    }

    .flex-reverst {
        flex-direction: column-reverse;
    }

    .row.topnav.stick {
        top: 64px;
    }

    @keyframes scrollin {
        from {
            top: 0px;
        }

        to {
            top: 64px;
        }
    }

    .col-r-mid-nav li.mobile-search {
        display: block;
    }

    .midnav .col-6.sec.show {
        display: flex;
        position: absolute;
        top: 66px;
        left: 0;
        padding: 0 0.5em;
    }

    .row.live-search .col-9 {
        width: 80%;
    }

    .row.live-search .col-3 {
        width: 20%;
    }

    /*
    .mini-cart-warp, .mobile-menu-warp {
        z-index: 98542156545;
    }
    */
    .footer-top .inner {
        padding: 0;
    }

    .product-single .product-image {
        max-width: 94%;
        margin: 0 3%;
        padding: 3em;
    }

    .product-single .inner-r {
        padding-right: 0;
    }

    .product-table-row-warp {
        padding: 2em;
    }

    .product-table-row-warp .col-2 {
        width: 20%;
    }

    .product-table-row-warp .col-10 {
        width: 80%;
        text-align: right;
    }

    .product-image-desc {
        margin: -3em 0 3em;
    }

    #related {
        padding: 0 2em;
    }

    #related .col-2 {
        width: 20%;
    }

    #related .col-4 {
        width: 80%;
    }

    .col-2.related-price, .col-2.related-qty-warp, .col-2.related-add-warp, .related-nostock {
        display: none;
    }

    .cart-full-content .inner {
        padding: 0;
    }

    .cart-full-content thead {
        display: none;
    }

    .cart-full-content tr {
        position: relative;
    }

    td.td-remove {
        position: absolute;
        right: 0;
    }

    .cart-full-content tr {
        display: flex;
        flex-wrap: wrap;
    }

    .cart-full-content tr td:nth-child(1) {
        width: 20%;
        height: 125px;
    }

    .cart-full-content tr td:nth-child(2) {
        width: 80%;
        padding-left: 1em;
    }

    .cart-full-content tr td:nth-child(2) .table-product-name {
        white-space: nowrap;
        text-overflow: ellipsis;
        overflow: hidden;
    }

    .cart-full-content tr td:nth-child(3) {
        position: absolute;
        top: 2em;
        left: 20%;
        padding-left: 1em;
        border-bottom: solid 1px #d5d5d5;
        width: 80%;
        text-align: right;
    }

    .cart-full-content tr td:nth-child(3):before {
        content: "ราคาต่อหน่วย";
        float: left;
    }

    .cart-full-content tr td:nth-child(4) {
        position: absolute;
        top: 5em;
        left: 20%;
        padding-left: 1em;
        border-bottom: solid 1px #d5d5d5;
        width: 80%;
        text-align: right;
    }

    .cart-full-content tr td:nth-child(4):before {
        content: "จำนวน";
        float: left;
    }

    .cart-full-content tr td:nth-child(4) input.qty {
        font-size: 1em;
        line-height: 1;
        width: 50%;
        margin-bottom: 0px;
    }

    .cart-full-content tr td:nth-child(4):after {
        content: "ชิ้น";
        float: right;
        position: absolute;
        top: 6px;
        right: 0;
    }

    .cart-full-content tr td:nth-child(5) {
        position: absolute;
        top: 8em;
        left: 20%;
        padding-left: 1em;
        width: 80%;
    }

    .cart-full-content tr td:nth-child(5):before {
        content: "รวม";
        float: left;
    }

    .cart-full-content tr td:nth-child(6) {
        position: absolute;
        right: -10px;
        top: -3px;
    }

    .row.page-title h1 i {
        vertical-align: -0.2em;
        color: rgb(255 255 255 / 55%);
        margin: 0px 5px;
    }

    .cart-full-content.wishlist td.td-image {
        width: 20%;
        height: 125px;
        padding: 0;
    }

    .cart-full-content.wishlist td.td-name:before {
        content: "";
    }

    .cart-full-content.wishlist td.td-name {
        width: 80%;
        padding-left: 1em;
        position: relative;
        top: 0;
        left: 0;
        border: none;
        text-align: left;
    }

    .cart-full-content.wishlist td.td-price:before {
        content: "ราคาต่อหน่วย";
    }

    .cart-full-content.wishlist td.td-price:after {
        content: "";
    }

    .cart-full-content.wishlist td.td-price {
        position: absolute;
        top: 2em;
        left: calc(20% + 1em);
        padding-left: 0;
        border-bottom: solid 1px #d5d5d5;
        width: calc(80% - 1em);
        text-align: right;
    }

    .cart-full-content.wishlist td.td-qty {
        position: absolute;
        top: 5em;
        left: calc(20% + 1em);
        padding-left: 0;
        border-bottom: solid 1px #d5d5d5;
        width: calc(80% - 1em);
    }

    .cart-full-content.wishlist td.td-qty input.qty {
        font-size: 1em;
        line-height: 1;
        width: 50%;
        margin-bottom: 0;
    }

    .cart-full-content.wishlist td.td-qty:before {
        content: "จำนวน";
        float: left;
    }

    .cart-full-content.wishlist td.td-qty:after {
        content: "ชิ้น";
        float: right;
        position: absolute;
        top: 6px;
        right: 0;
    }

    .cart-full-content.wishlist td.td-sum:before {
        content: "รวม";
        float: left;
    }

    .cart-full-content.wishlist td.td-sum {
        position: absolute;
        top: 8em;
        left: calc(20% + 1em);
        padding-left: 0;
        border-bottom: solid 1px #d5d5d5;
        width: calc(80% - 1em);
        text-align: right !important;
    }
    .cart-full-content.wishlist td.td-remove {
        position: absolute;
        right: -12px;
        top: -4px;
        width: 0% !important;
    }
    .cart-full-content.wishlist td.td-add2cart {
        width: 100%;
    }
    .slide-product-content-warp {
        margin-top: 2em;
    }
    .cart-full-content.wishlist tr {
        margin: 2em 0;
    }
    .breadcrumbs {
        text-align: center;
        padding: 0 2em;
    }
    .footer-top ul {
        padding: 0;
    }
    .product-table thead {
        display: none;
    }
    .product-table tr {
        display: flex;
        flex-wrap: wrap;
        position: relative;
        align-items: center;
    }
    .product-table tr td:nth-child(1) {
        width: 20%;
    }
    .product-table tr td:nth-child(2) {
        padding-left: 1em;
        font-weight: 600;
        width: calc(80% - 1em);
    }
    .product-table tr td:nth-child(3), .product-table tr td:nth-child(4), .product-table tr td:nth-child(5), .product-table tr td:nth-child(6), .product-table tr td:nth-child(7) {
        display: none;
    }
    .row.stick-foot .col-6:first-child {
        display: none;
    }
    .row.stick-foot .col-6:nth-child(2) {
        justify-content: center !important;
    }
    span.go-to-page {
        display: none;
    }
    .billing-detail .inner-r , .billing-detail .inner-l, .billing-detail .inner-ll{
        padding: 0;
    }
    .mobile-menu.show li.lang-menu {
        display: block;
    }
    .mobile-menu.show .lang-menu:after {
        opacity: 0;
    }
    .mobile-menu.show li.lang-menu {
        display: block;
        padding: 0 0.7em;
    }
}